/* BidiPro hardware */

/* ॣ */
#define PRST 0x000
#define PWC1 0x100
#define PRC1 0x200
#define PWC2 0x300
#define PWR1 0x580
#define PWIR 0x600
#define PWR2 0x780
#define PRDS 0x800
#define PWA1 0x900
#define PRA1 0xA00
#define PWA2 0xB00
#define PWB1 0xD00
#define PRB1 0xE00
#define PWB2 0xF00

/* ਭ㤨⥫쭠  ॣ */
#define PFORCE 0x8000

/* 祭 ࠢ饣 ᫮ 55 */
#define PAIN 0x10
#define PBIN 0x02
#define PCIN 0x09

/*  */
#define BITA16		0x01
#define BITA17		0x02
#define BITA18		0x04
#define BITA19		0x08
#define BITCE		0x10
#define BITOE		0x20
#define BITPE		0x40
#define BITTER		0x80

#define BITVPP5 	0x01
#define BITVPP7 	0x02
#define BITVPP28	0x04
#define BITVPP29	0x08
#define BITVID		0x10
#define BITVCC24	0x20
#define BITVCC28	0x40
#define BITVCC32	0x80

/* BiDiPro software */

typedef unsigned char byte;
typedef unsigned short word;
typedef unsigned long dword;

extern word portaddr;

int init (void);
word bdport (word cmd);
int voltage (word vcc, word vpp, word vid);
void delay_us (word time);

/* E0F */
