/** * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* BiDiPro/24RF08 v0.1.0                                            config.c
* Copyright (c) Oleg O. Chukaev, 2008  <oleg.chukaev@mail.ru>
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * **/


#include <stdio.h>
#include <string.h>
#include <dir.h>

#include "defines.h"
#include "debug.h"

extern char my_path[MAXPATH];

/* Search and Open configuration file */
FILE *open_cfgfile (char *filename) {

	FILE *fp;
	char tmp[MAXPATH];

	fp = fopen (filename, "rt");
        /* !!! FIXME !!! */
	debug_printf (2, "open_cfgfile(): searching for `%s'... %s\n",
			filename, fp ? "Ok" : "failed");
	if (fp)
		return (fp);

	strcpy (tmp, my_path);
	strcat (tmp, filename);

	fp = fopen (tmp, "rt");
        /* !!! FIXME !!! */
	debug_printf (2, "open_cfgfile(): searching for `%s'... %s\n",
			tmp, fp ? "Ok" : "failed");
	if (fp)
		return (fp);

	return (NULL);
}


/** * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* E0F
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * **/

