/** * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* BiDiPro/24RF08 v0.1.0            hwctrl.h -- hardware control definitions
* Copyright (c) Oleg O. Chukaev, 2008  <oleg.chukaev@mail.ru>
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * **/

#ifndef AT24RF08_HWCTRL_H
#define AT24RF08_HWCTRL_H


/* *** 㭪樨 *** */

/* 騥 */
int initialize_port (void);
void close_port (void);
void power_on (void);
void power_off (void);
void delay_ms (word);


void scl (word b);
void sda (byte b);
byte rsda (void);
void sda_out (void);
void sda_in (void);
void i2c_start (void);
void i2c_stop (void);
byte read_i2c_byte (int ack);
int write_i2c_byte (byte d);


/* ६ */
extern int port_number;	/*  ࠫ쭮 : 1..3 */
extern int vcc;		/* 殮 ⠭,  100  */
extern int vpp;		/* 殮 ணࠬ஢,  100  */


#endif /* AT24RF08_HWCTRL_H */

/** * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* E0F
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * **/
